
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
:root{
    --cor1:#87CEFA;
    --cor2:#00BFFF;
    --cor3:#1E90FF;
    --cor4:#0000CD;
    --cor5:#ffffff;
}


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    outline: none;
    font-family: 'Inter', sans-serif;
    
}

section,footer{
    
    padding: 54px 0;
    
}
h3{
    font-size: 50px ;
}
p{
    
    padding: 10px;
    font-size:larger;
}

.container, .container1{
    max-width: 1400px; 
    margin: 0 auto;
    padding: 0 5%;
    
    
}
header{
    
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
}
nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 30px;
    
}
nav ul{
    display: flex;
    align-items: center;
}
nav ul a:not(.btn)::after{
    content: "";
    background-color: rgb(224, 200, 200);
    height: 1px;
    width: 0%;
    display: block;
    margin: 0 auto;
    transition: 0,3s;
}
nav ul a:hover::after{
    width: 100%;
}
nav .menu-icon{
    cursor: pointer;
    font-size: 25px;
    color: white;
    display: none;
}
nav .close-icon{
    display: none;
    font-size: 30px;
    color: white;
}
nav a{
    color: white;
    margin: 0 25px;
    text-transform: uppercase;
    font-size: 14px;
    display: block;
   
}
.ul a{
    background-color: var(--cor4);
    border: 3px;
    font-weight: 700;
    padding: 3px;
    
}
.btn{
    background-color: rgb(114, 114, 241);
    color: white;
    padding: 15px 20px;
    border-radius: 10px;
    cursor: pointer;
    display: inline-block;
    transition: 0,1s;
}
.btn.animate-btn{
    animation: animate-outline 1s ease-out infinite;
}
.btn:hover{
    background-color: rgb(100, 199, 245);
}
@keyframes animate-outline {
    from{
        outline: 0px solid rgb(99, 99, 235);
    }
    to{
        outline: 5px solid rgb(180, 180, 240);
    }
}


.banner{
    display: flex;
    justify-content: center;
    
}
.banner .banner_text{
    margin: 10px;
    text-align: center;
    padding: 0 90px;
}
.banner .banner_text h1{
    font-size: 50px;
    color:white;
}
.banner .banner_text p{
    font-size: 20px;
    color:white;
    font-weight: lighter;
    margin:18px 0;
}
.produtos .container, 
.graficos .container{
    display: flex;
    align-items: center;
}
.produtos .produtos-text,
.graficos .graficos-text{
    width: 50%;
    padding: 0 40px;
}
.produtos .produtos-text h3,
.graficos .graficos-text h3{ 
    font-size: 40px;
}
.produtos .produtos-text p,
.graficos .graficos-text p{
    margin: 5px 0 10px 0 ;
}
.produtos .produtos.image, 
.graficos .graficos.image{
    width: 50%;
}
.produtos .produtos.image img, 
.graficos .graficos.image img{
    width: 100%;
}
footer{
    display: flex;
    justify-content:space-around;
    background-color: var(--cor4);
    align-items: center;
    color: var(--cor5);
    padding-top: 2%;
    text-align: center;

}
.rodape a{
    font-size: 15px;
    color: var(--cor5);
}
.rodape ion-icon{
    padding: 5%;
}

/*PAGINA SOBRE*/
.sobre .container{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.sobre .sobre-text{
    width: 50%;
    padding-right: 40px;
    
}

.sobre .sobre-text h3{
    font-size: 30px;
    
    
}
.sobre .sobre-text p{
    margin: 18px 0;
    color:blueviolet;
    line-height: 1.5;
    font-family:cursive;
    
}

.sobre .sobre-img{
    width: 40%;
}
.sobre .sobre-img img{
    width: 50%;
    border-radius: 10px;
}
/*FIM PAGINA SOBRE*/

/*PAGINA SERVIÇOS*/
.servicos{
    text-align: center;
}

.servicos .container >p{
    text-align: center;
}
.servicos .rows-cards{
    display: flex;
    justify-content: center;
    margin-top: 20px;
}
.servicos .row-card-item{
    background-color: cornflowerblue;
    padding: 20px;
    width: 250px;
    border-radius: 15px;
    margin: 2px;
    flex-wrap: wrap;
    transition: 0,3s;
}
.servicos .row-card-item:hover{
    background-color:blue;
}
.servicos .row-card-item img{
    background-color:rgb(5, 5, 134);
    border-radius: 14px;
    width: 100px;
    padding: 3px;
    
    
}
.servicos .row-card-item p:hover{
    background-color: cornflowerblue;
}
.servicos .row-card-item p.nome_servico{
    margin: 5px 0;
    transition: 0,4s;
}
.servicos .row-card-item p.descricao_servico{
    transition: 0,4s;
    margin: 5px 0;
    font-family: cursive;
}
/*FIM PAGINA SEVIÇOS*/
/* PAGINA CONTATO*/
.contato-info{
    display: flex;
    justify-content:space-between;
    margin-top: 50px;
}
.contato-info .left-side{
    width: 50%;
    padding: 30px;
    background-color:cornflowerblue;
    border-radius: 15px;
    margin-right: 50px;
    height: 250px;
}
   
.contato-info .left-side div{
    display: flex;
    align-items: center;
    margin-bottom: 10px;
 }
 .contato-info .left-side div ion-icon{
    font-size: 25px;
    margin-right: 20px;
    color: white;
 }
 .contato-info .left-side p{
    color: white;
    font-size: 17px;
 }
 .contato-info .right-side{
    width: 50%;
 }
 .contato-info .right-side input{
    display: block;
    width: 100%;
    margin-bottom: 10px;
    height: 50px;
    padding: 15px;
    border-radius: 10px;
    transition: 0,3s;
    border: 1px solid black;
    color: black;
    font-weight:bolder;
 }
 .contato-info .right-side input:focus,
 .contato-info .right-side textarea:focus{
    border-color: var(--cor1);
    background-color: var(--cor3);
    
 }
 
 
 
 .contato-info .right-side textarea{
    border: 1px solid black;
    color: black;
    border-radius: 10px;
    margin-bottom: 10px;
    padding: 15px;
    width: 100%;
    font-weight:bolder;
    transition: 0,3s;
    resize: none;
 }
 .contato-info .right-side input{
    border: none;
 }

 .contato-info .right-side input:hover{
     background-color: var(--cor4);
     color: var(--cor5);
}


@media(max-width: 830px){
    .ul{
        position: fixed;
        top: 0;
        left: 0;
        flex-direction: column;
        background: #184b88;
        width: 100%;
        height: 100%; 
        align-items: center;
        justify-content: center;
        clip-path: circle(0% at 100% 0);
        transition: 0,7s;
    }
    .ul.open{
        clip-path: circle(141.4% at 100% 0);
    }
    .ul a{
        margin: 10px 0;
        font-size: 15px;
    } 
    nav .menu-icon{
        display: block;
        } 
        nav .close-icon{
            display: block;
            position: absolute;
            top: 55px;
            right: 25px;
        } 
}

/*................CONFIGURAÇÕES PAGINA CADASTRO............*/
.cadastro{
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    background-color: var(--cor3);
    margin: 2% auto;
    width: 90%;
    border-radius: 10px 10px 0 0;
    color:var(--cor1));
}
.cad{
    width: 80%;
    
}
.cad h1{
    font-size: 30px;
    text-align: center;
    color: var(--cor4);
    font-weight: 700;
    margin-bottom: 2%;
    margin-top: 5%;
}
#cadastro input[type="text"], input[type="email"], input[type="password"]{
   width: 400px;
   height: 50px;
   color: var(--cor4);
   text-align: center;
   border-radius: 10px;
   border: none;
   margin-bottom: 1%;

}
#cadastro input[type="radio"]{
    margin-right: 2%;
    margin-left: 3%;
}
#cadastro input[type="submit"]{
    width: 250px;
    height: 50px;
    padding: 1%;
    background-color: var(--cor1);
    color: var(--cor6);
    border: none;
    margin-top: 3%;
    margin-bottom: 3%;
    border-radius: 10px;

}
#cadastro input[type="submit"]:hover{
    background-color: var(--cor5) ;
    cursor: pointer;
}
.cad img{
    width: 100%;
    height: 50%;
    margin: -1%;
}
/*.................CONFIGURAÇOES PAGINA ANTRAR..............*/
.login{
    display: flex;
    justify-content:space-between;
    align-items: center;
    text-align: center;
    background-color: var(--cor1);
    margin: 2% auto;
    width: 95%;
    border-radius: 30px 30px 0 0;
    

}
.log{
    width: 80%;
}
.log1{
    width: 90%;
}
#logar1{
    width: 95%;
}
.log h1{
   font-size: 40px;
   text-align: center;
   color: var(--cor4);
   font-weight: 700;
   margin-bottom: 3%;
   margin-top: 30px;

}
.log input[type="submit"]{
    width: 250px;
    height: 50px;
    background-color: var(--cor4);
    border: none;
    margin-top: 3%;
    margin-bottom: 20px;
    border-radius: 10px;
    color: var(--cor5);
}
.log input[type="submit"]:hover{
    background-color: var(--cor3);
    cursor:pointer;
}
.log img{
    margin-left:-200px;
   border-left: 50px;

}

/*..................FORAMTAÇÃO DA PAGINA CONTATO.............*/
.contato{
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--cor2);
    margin: 2% auto;
    width: 95%;
    border-radius:  20px  ; 
    box-shadow: 0px 4px 3px var(--cor4); 
      
    
}
.cont{

    width: 80%;
    margin-left: 20px;
    text-align: center;
}
/*................CONFIGURAÇÃO PAGINA USUARIO............*/

.barra_top{

    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--cor5);
    width: 95%;
    margin: 2% auto;
    padding: 1% 5%;
    border-radius: 10px 10px 0 0 ;
}
.barra h1{
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color:var(--cor4)
    
}
.barra a{
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color:var(--cor4)
}
.usuario{
     
    background-color: var(--cor1);
    width: 95%;
    height: 300px;
    margin: 2% auto;
    padding: 2%;
    border-radius: 10px 10px 0 0 ;
    text-align: center;
}
.usuario h2{
    font-size: 1.3rem;
    font-weight: 700;
    color:var(--cor4);
}
.usuario p{
    color: var(--cor4);

}
/*..................FORAMTAÇÃO DA PAGINA CONTATO.............*/
.contato{
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--cor2);
    margin: 2% auto;
    width: 95%;
    border-radius:  20px  ; 
    box-shadow: 0px 4px 3px var(--cor4); 
      
    
}
.cont{

    width: 80%;
    margin-left: 20px;
    text-align: center;
}

/*PAGINA EMAIL*/

.m-conteudo{

    width: 100vw;
    height: 100vh;
    background-color:rgba(0,0,0,0.5);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2000;
    display: none;
    justify-content: center;
    align-items: center;
}
.mostrar{
    display: flex;
}
.modal{
    width: 60%;
    background-color: var(--cor1);
    color: var(--cor6);
    text-align: center;
    padding: 2%;
    border: none;
    border-radius: 10px;
    margin: 0 auto;
    box-shadow: 0 0 0 5px var(--cor2);
}
.modal h2{
    font-size: 2rem;
    margin-bottom: 2%;        
}
.modal p{

    border: none;
}
.modal span{
    font-weight: 700;
    text-transform: uppercase;
}
.modal button{

    width: 250px;
    height: 50px;
    background-color: var(--cor3);
    color: var(--cor5);
    font-weight: 700;
    padding: 1%;
    margin-top: 2%;
    border: none;
    border-radius: 10px;
}
.modal button:hover{
    background-color: var(--cor4);
    
}

/*    ANIMAÇÃO DO MODAL   */
@keyframes modal {
    from{
        opacity: 0;
        transform: translate3d(0,-80px,0);
    }
    to{
        opacity: 1;
        transform: translate3d(0,0,0);
    }
    
}
.mostrar .modal{
    animation: modal 3s;
}



